Skip to content

document-invoices​

Manage invoice documents

Operations​

GET/accounts/{accountUuid}/documents/v2/invoicesPOST/accounts/{accountUuid}/documents/v2/invoicesGET/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}PATCH/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}GET/accounts/{accountUuid}/documents/v2/invoices/bulk-actionsPOST/accounts/{accountUuid}/documents/v2/invoices/calculatePOST/accounts/{accountUuid}/documents/v2/invoices/importPOST/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/previewGET/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}GET/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachmentsPOST/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachmentsPOST/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/calculateGET/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/commentsPOST/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/commentsGET/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/filesGET/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/actionsPOST/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/dunning-previewGET/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/dunningsPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/archivePATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/collectInvoicePATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/markSentPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDownloadZipPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDunningPrintPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDunningSentPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massPrintPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massSentPATCH/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/invoices/import/{invoiceUuid}PATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/archivePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/cancelPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/cancelPermanentlyPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/clonePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertDNPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertICPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertTPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertTIPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertToTemplatePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/customerPortalUrlPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/deletePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/downloadPaymentConfirmationPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/downloadPdfPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningDatePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningPrintPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningSentPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/emailPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/markSentPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/printPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/regeneratePdfPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/restorePATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/resyncPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/sendAbaNetPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/sendPaymentConfirmationPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/setDunningAmountsPATCH/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/syncDELETE/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachments/{attachmentUuid}GET/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments/{commentUuid}DELETE/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments/{commentUuid}GET/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/files/{fileUuid}

Get invoices​

GET
/accounts/{accountUuid}/documents/v2/invoices

Get invoices

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

is_template

get templates

Type
boolean
Default
false
updatedSince

filter for updated items

limit

pagination limit

Type
[ "number", "null" ]
Maximum
400
Minimum
1
page

pagination page

Type
[ "number", "null" ]
Default
1
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"id": 0,
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"status": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
"name": "string",
  
  
  
  
  
"email": "string"
  
  
  
  
},
  
  
  
  
"documentTotal": 0,
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
"customDunningDate": "string",
  
  
  
  
"dunningLevel": "string",
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
"isArchived": true,
  
  
  
  
"isCancelled": true,
  
  
  
  
"isImported": true,
  
  
  
  
"openAmount": 0,
  
  
  
  
"updatedAt": "string",
  
  
  
  
"isTemplate": true
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create invoice​

POST
/accounts/{accountUuid}/documents/v2/invoices

Create invoices

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Invoice created

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
"customDunningDate": "string",
  
  
  
  
"dunningLevel": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"reference": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"isVariantInvoice": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
}
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"isImported": true,
  
  
  
  
"isCollectiveBill": true,
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
"openAmount": 0,
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"abanetSendAt": "string",
  
  
  
  
"abanetConfirmedAt": "string",
  
  
  
  
"bookedAt": "string",
  
  
  
  
"syncedAt": "string",
  
  
  
  
"syncMessage": "string",
  
  
  
  
"syncStatus": "string",
  
  
  
  
"cashDiscounts": [
  
  
  
  
  
{
  
  
  
  
  
  
"days": 0,
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get invoice​

GET
/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}

Get a single invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
"customDunningDate": "string",
  
  
  
  
"dunningLevel": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"reference": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"isVariantInvoice": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
}
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"isImported": true,
  
  
  
  
"isCollectiveBill": true,
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
"openAmount": 0,
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"abanetSendAt": "string",
  
  
  
  
"abanetConfirmedAt": "string",
  
  
  
  
"bookedAt": "string",
  
  
  
  
"syncedAt": "string",
  
  
  
  
"syncMessage": "string",
  
  
  
  
"syncStatus": "string",
  
  
  
  
"cashDiscounts": [
  
  
  
  
  
{
  
  
  
  
  
  
"days": 0,
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Update invoice​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}

Update invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Invoice updated

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
"customDunningDate": "string",
  
  
  
  
"dunningLevel": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"reference": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"isVariantInvoice": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
}
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"isImported": true,
  
  
  
  
"isCollectiveBill": true,
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
"openAmount": 0,
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"abanetSendAt": "string",
  
  
  
  
"abanetConfirmedAt": "string",
  
  
  
  
"bookedAt": "string",
  
  
  
  
"syncedAt": "string",
  
  
  
  
"syncMessage": "string",
  
  
  
  
"syncStatus": "string",
  
  
  
  
"cashDiscounts": [
  
  
  
  
  
{
  
  
  
  
  
  
"days": 0,
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get bulk actions​

GET
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions

Get invoice bulk actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Calculate amounts of new document​

POST
/accounts/{accountUuid}/documents/v2/invoices/calculate

Calculates the amounts of a document for previewing without manipulating any resources

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"currencyCode": "string",
  
"positions": [
  
  
{
  
  
  
"positionNumber": 0,
  
  
  
"uuid": "string",
  
  
  
"kind": "product",
  
  
  
"unitUuid": "string",
  
  
  
"unitCode": "C62",
  
  
  
"quantity": 1,
  
  
  
"singlePrice": 0,
  
  
  
"discount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"vatUuid": "string",
  
  
  
"vat": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"productUuid": "string",
  
  
  
"productDescription": "string"
  
  
}
  
],
  
"documentDiscount": {
  
  
"percentage": 0
  
},
  
"invoiceDate": "string",
  
"pricesIncludeVat": true
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"positionTotal": 0,
  
  
"discount": 0,
  
  
"roundingDifference": 0,
  
  
"taxes": [
  
  
  
{
  
  
  
  
"rate": 0,
  
  
  
  
"value": 0,
  
  
  
  
"name": "string",
  
  
  
  
"baseSum": 0
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Import invoice​

POST
/accounts/{accountUuid}/documents/v2/invoices/import

Import invoice from PDF

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

A Schema for importing invoice pdfs in AbaNinja over API with multipart file upload and adding this JSON content as part of the request

Maximum5
Minimum1

Responses​

Invoice created

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"documentUrl": "string",
  
  
  
  
"documentData": {
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"currencyCode": "string",
  
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
  
"reference": "string",
  
  
  
  
  
"publicNotes": "string",
  
  
  
  
  
"receiver": {
  
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
]
  
  
  
  
  
  
}
  
  
  
  
  
},
  
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
  
"invoiceDate": "string",
  
  
  
  
  
"dueDate": "string",
  
  
  
  
  
"deliveryDate": "string",
  
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
  
"customDunningDate": "string",
  
  
  
  
  
"dunningLevel": "string",
  
  
  
  
  
"sentStatus": "string",
  
  
  
  
  
"status": "string",
  
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
  
"iban": "string",
  
  
  
  
  
  
"bic": "string",
  
  
  
  
  
  
"reference": "string"
  
  
  
  
  
},
  
  
  
  
  
"documentTotal": 0,
  
  
  
  
  
"taxPositions": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
  
"accountNumber": 0,
  
  
  
  
  
  
  
"bookingAccountUuid": "string",
  
  
  
  
  
  
  
"isTaxIncluded": true,
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"taxRate": 0,
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"taxRateUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
}
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"isTemplate": true,
  
  
  
  
  
"openAmount": 0,
  
  
  
  
  
"type": "string",
  
  
  
  
  
"subtype": "string",
  
  
  
  
  
"abanetSendAt": "string",
  
  
  
  
  
"abanetConfirmedAt": "string",
  
  
  
  
  
"wasRecognitionLimitReached": true,
  
  
  
  
  
"hasCustomPaymentSlip": true
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​


Get attachments​

GET
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachments

Get attachments for a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"fileSize": 0,
  
  
  
"mimeType": "string",
  
  
  
"url": "string"
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Upload attachment​

POST
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachments

Upload an attachment for a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

multipart/form-data
Format"binary"

Responses​

Document attachment uploaded

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"url": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Calculate amounts of an existing document​

POST
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/calculate

Calculates the amounts of an existing document for previewing without manipulating any resources

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"currencyCode": "string",
  
"positions": [
  
  
{
  
  
  
"positionNumber": 0,
  
  
  
"uuid": "string",
  
  
  
"kind": "product",
  
  
  
"unitUuid": "string",
  
  
  
"unitCode": "C62",
  
  
  
"quantity": 1,
  
  
  
"singlePrice": 0,
  
  
  
"discount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"vatUuid": "string",
  
  
  
"vat": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"productUuid": "string",
  
  
  
"productDescription": "string"
  
  
}
  
],
  
"documentDiscount": {
  
  
"percentage": 0
  
},
  
"invoiceDate": "string",
  
"pricesIncludeVat": true
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"positionTotal": 0,
  
  
"discount": 0,
  
  
"roundingDifference": 0,
  
  
"taxes": [
  
  
  
{
  
  
  
  
"rate": 0,
  
  
  
  
"value": 0,
  
  
  
  
"name": "string",
  
  
  
  
"baseSum": 0
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get comment collection​

GET
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments

fetches comments of a document via pagination

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"authorUserUuid": "string",
  
  
  
"createdAt": "string",
  
  
  
"userName": "string",
  
  
  
"comment": "string",
  
  
  
"type": "string",
  
  
  
"isDeletable": true
  
  
}
  
],
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
},
  
"message": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create comment​

POST
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments

creates a new comment on a document either for internal or external use

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"comment": "string",
  
"type": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get Files​

GET
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/files

Returns a list of files

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1
kind
Type
array

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"archivedAt": "string",
  
  
  
"archivedReason": "string",
  
  
  
"fileSize": 0,
  
  
  
"mimeType": "string",
  
  
  
"kind": "string"
  
  
}
  
],
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
},
  
"message": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get actions​

GET
/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/actions

Get invoice actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create dunning preview​

POST
/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/dunning-preview

Create a PDF preview for a dunning

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"dunningLevel": 0
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get Dunnings​

GET
/accounts/{accountUuid}/documents/v2/invoices/{invoiceUuid}/dunnings

Lists all active dunnings of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"id": 0,
  
  
  
"currencyCode": "string",
  
  
  
"currencyCodeRecognized": "string",
  
  
  
"title": "string",
  
  
  
"type": "string",
  
  
  
"subtype": "string",
  
  
  
"reference": "string",
  
  
  
"status": "string",
  
  
  
"sentStatus": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"invoiceDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"customerNumber": "string",
  
  
  
  
"name": "string",
  
  
  
  
"email": "string"
  
  
  
},
  
  
  
"documentTotal": 0,
  
  
  
"nextDunningDate": "string",
  
  
  
"customDunningDate": "string",
  
  
  
"dunningLevel": "string",
  
  
  
"invoiceNumber": "string",
  
  
  
"importedInvoiceNumber": "string",
  
  
  
"systemInvoiceNumber": "string",
  
  
  
"isArchived": true,
  
  
  
"isCancelled": true,
  
  
  
"isImported": true,
  
  
  
"openAmount": 0,
  
  
  
"updatedAt": "string",
  
  
  
"isTemplate": true
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute archive bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/archive

Marks the document as archived

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute collectInvoice bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/collectInvoice

Creates a collective invoice out of the selected items

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute markSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/markSent

Triggers the mark sent action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massDownloadZip bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDownloadZip

Zips and downloads each document. The result is sent to the inbox

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massDunningPrint bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDunningPrint

Triggers the print dunning action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massDunningSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massDunningSent

Triggers the send dunning action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massPrint bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massPrint

Triggers the print action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/massSent

Triggers the send action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute plannedMail bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/bulk-actions/plannedMail

Triggers the plan mail action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Update imported invoice​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/import/{invoiceUuid}

Update imported invoice from PDF

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"documentData": {
  
  
  
  
"currencyCode": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"paymentInstructions": null,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"taxPositions": [
  
  
  
  
  
{
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"accountNumber": 0,
  
  
  
  
  
  
"bookingAccountUuid": "string",
  
  
  
  
  
  
"isTaxIncluded": false,
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
"taxRate": 0,
  
  
  
  
  
  
"taxRateUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"reference": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"hasCustomPaymentSlip": false
  
  
  
}
  
  
}
  
]
}

Responses​

Imported invoice updated

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"documentUrl": "string",
  
  
  
  
"documentData": {
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"currencyCode": "string",
  
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
  
"reference": "string",
  
  
  
  
  
"publicNotes": "string",
  
  
  
  
  
"receiver": {
  
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
]
  
  
  
  
  
  
}
  
  
  
  
  
},
  
  
  
  
  
"invoiceNumber": "string",
  
  
  
  
  
"importedInvoiceNumber": "string",
  
  
  
  
  
"systemInvoiceNumber": "string",
  
  
  
  
  
"invoiceDate": "string",
  
  
  
  
  
"dueDate": "string",
  
  
  
  
  
"deliveryDate": "string",
  
  
  
  
  
"nextDunningDate": "string",
  
  
  
  
  
"customDunningDate": "string",
  
  
  
  
  
"dunningLevel": "string",
  
  
  
  
  
"sentStatus": "string",
  
  
  
  
  
"status": "string",
  
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
  
"iban": "string",
  
  
  
  
  
  
"bic": "string",
  
  
  
  
  
  
"reference": "string"
  
  
  
  
  
},
  
  
  
  
  
"documentTotal": 0,
  
  
  
  
  
"taxPositions": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
  
"accountNumber": 0,
  
  
  
  
  
  
  
"bookingAccountUuid": "string",
  
  
  
  
  
  
  
"isTaxIncluded": true,
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"taxRate": 0,
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"taxRateUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
}
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"isTemplate": true,
  
  
  
  
  
"openAmount": 0,
  
  
  
  
  
"type": "string",
  
  
  
  
  
"subtype": "string",
  
  
  
  
  
"abanetSendAt": "string",
  
  
  
  
  
"abanetConfirmedAt": "string",
  
  
  
  
  
"wasRecognitionLimitReached": true,
  
  
  
  
  
"hasCustomPaymentSlip": true
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute archive action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/archive

Archives the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancel action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/cancel

Cancels and moves the document back to draft

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancelPermanently action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/cancelPermanently

Cancels the document permanently. It cannot be edited afterwards

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute clone action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/clone

Creates a copy of the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertDN action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertDN

Creates a delivery note out of an invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertIC action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertIC

Creates a credit note out of an invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertT action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertT

Creates a template out of an invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertTI action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertTI

Creates an invoice out of a template

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertToTemplate action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/convertToTemplate

Creates a template out of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute customerPortalUrl action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/customerPortalUrl

Gets the customer portal link

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"customerPortalUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute delete action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/delete

Deletes a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute downloadPaymentConfirmation action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/downloadPaymentConfirmation

Gets the download uri for the document's payment confirmation

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"downloadUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute downloadPdf action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/downloadPdf

Gets the download uri for the document's pdf

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"downloadUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute dunningDate action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningDate

Sets the custom dunning date

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"customDunningDate": "string"
}

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute dunningPrint action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningPrint

Prints the dunning letter for the invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"printUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute dunningSent action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/dunningSent

Sends the dunning letter for the invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"document": {
  
  
  
"url": "string",
  
  
  
"preview_url": "string"
  
  
}
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute email action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/email

Sends the document via email

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute markSent action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/markSent

Marks the invoice as sent

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute plannedMail action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/plannedMail

Schedules the email for sending the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute print action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/print

Creates the PDF for printing

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"printUrl": "string",
  
  
"document": {
  
  
  
"url": "string",
  
  
  
"preview_url": "string"
  
  
}
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute regeneratePdf action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/regeneratePdf

Regenerates the documents PDF

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"archivedAt": "string",
  
  
"archivedReason": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"kind": "string",
  
  
"fileUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute restore action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/restore

Restores an archived document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute resync action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/resync

Resyncs the document to Abacus

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute sendAbaNet action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/sendAbaNet

Sends the invoice via AbaNet

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute sendPaymentConfirmation action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/sendPaymentConfirmation

Sends the payment confirmation

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute setDunningAmounts action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/setDunningAmounts

Sets the dunning amounts for the invoice

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"customDunningAmount1": 0,
  
"customDunningAmount2": 0,
  
"customDunningAmount3": 0
}

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute sync action​

PATCH
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/actions/sync

Syncs the document to Abacus

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete attachment​

DELETE
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/attachments/{attachmentUuid}

Delete an attachment from a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
attachmentUuid*
Type
string
Required
Format
"uuid"

Responses​

Document attachment deleted

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get comment​

GET
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments/{commentUuid}

fetches a single comment of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete comment​

DELETE
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/comments/{commentUuid}

deletes a comment of a document, which cannot be restored anymore afterwards.

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Get File​

GET
/accounts/{accountUuid}/documents/v2/invoices/{documentUuid}/files/{fileUuid}

Returns a file

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
fileUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"archivedAt": "string",
  
  
"archivedReason": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"kind": "string",
  
  
"fileUrl": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"isTemplate": true,
  
  
  
"invoiceDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": null,
  
  
  
"pricesIncludeVat": true,
  
  
  
"isVariantInvoice": false,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"cashDiscounts": [
  
  
  
  
{
  
  
  
  
  
"days": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"receiver": null
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Show PDF Preview​

GET
/accounts/{accountUuid}/documents/v2/{type}/preview/{previewUuid}

Returns a previously created PDF preview file

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
previewUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Query Parameters

forceDownload

If true, then the file shall be sent as Content-Disposition: attachment

Type
boolean
Default
false
cert*

Signature parameter, generated and returned when creating preview

Type
string
Required

Responses​

Successful response

application/pdf

Playground​

Variables
Key
Value

Samples​